# IRsDataCacheItem Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | Destroy (void)
HRESULT | Validate (void)
HRESULT | GetData ([out, retval] VARIANT *pVal)
HRESULT | PutData ([in, out] VARIANT *pNewVal)
HRESULT | GetDataBOOL ([out, retval] RtBOOL *pVal)
HRESULT | PutDataBOOL ([in] RtBOOL newVal)
HRESULT | GetDataUlong ([out, retval] RtUlong *pVal)
HRESULT | PutDataUlong ([in] RtUlong newVal)
HRESULT | GetDataDouble ([out, retval] RtDouble *pVal)
HRESULT | PutDataDouble ([in] RtDouble newVal)
HRESULT | GetDataString ([out, retval] BSTR *pVal)
HRESULT | PutDataString ([in] BSTR newVal)
HRESULT | GetDataObject ([out, retval] IRsDataObject **pVal)
HRESULT | PutDataObject ([in] IRsDataObject *pNewVal)
HRESULT | GetDataObjectRef ([out, retval] IRsDataObject **pVal)
HRESULT | IsValidValueAvailable ([out] RtBool *pVal)
HRESULT | Reset (void)
HRESULT | GetDataItemStatus ([out, retval] RtDataStatus *pDataStatus)

## Detailed Description

Data item interface used for storing various types of connector values.

## Member Function Documentation

HRESULT IRsDataCacheItem::Destroy | ( | void |  | ) |

Destroy.

HRESULT IRsDataCacheItem::Validate | ( | void |  | ) |

Validate.

HRESULT IRsDataCacheItem::GetData | ( | [out, retval] VARIANT * | pVal | ) |

Returns:
  pVal [out,retval] .

HRESULT IRsDataCacheItem::PutData | ( | [in, out] VARIANT * | pNewVal | ) |

Parameters:

  | pNewVal | [in,out] .

HRESULT IRsDataCacheItem::GetDataBOOL | ( | [out, retval] RtBOOL * | pVal | ) |

Returns:
  pVal [out,retval] .

HRESULT IRsDataCacheItem::PutDataBOOL | ( | [in] RtBOOL | newVal | ) |

Parameters:

  | newVal | [in] .

HRESULT IRsDataCacheItem::GetDataUlong | ( | [out, retval] RtUlong * | pVal | ) |

Returns:
  pVal [out,retval] .

HRESULT IRsDataCacheItem::PutDataUlong | ( | [in] RtUlong | newVal | ) |

Parameters:

  | newVal | [in] .

HRESULT IRsDataCacheItem::GetDataDouble | ( | [out, retval] RtDouble * | pVal | ) |

Returns:
  pVal [out,retval] .

HRESULT IRsDataCacheItem::PutDataDouble | ( | [in] RtDouble | newVal | ) |

Parameters:

  | newVal | [in] .

HRESULT IRsDataCacheItem::GetDataString | ( | [out, retval] BSTR * | pVal | ) |

Returns:
  pVal [out,retval] .

HRESULT IRsDataCacheItem::PutDataString | ( | [in] BSTR | newVal | ) |

Parameters:

  | newVal | [in] .

HRESULT IRsDataCacheItem::GetDataObject | ( | [out, retval] IRsDataObject ** | pVal | ) |

Returns:
  pVal [out,retval] .

HRESULT IRsDataCacheItem::PutDataObject | ( | [in] IRsDataObject * | pNewVal | ) |

Parameters:

  | pNewVal | [in] .

HRESULT IRsDataCacheItem::GetDataObjectRef | ( | [out, retval] IRsDataObject ** | pVal | ) |

Returns:
  pVal [out,retval] .

HRESULT IRsDataCacheItem::IsValidValueAvailable | ( | [out] RtBool * | pVal | ) |

Parameters:

  | pVal | [out] .

HRESULT IRsDataCacheItem::Reset | ( | void |  | ) |

Reset.

HRESULT IRsDataCacheItem::GetDataItemStatus | ( | [out, retval] RtDataStatus * | pDataStatus | ) |

Returns:
  pDataStatus [out,retval] .